请选择 进入手机版 | 继续访问电脑版
 找回密码
 立即注册
搜索

已解决 求各路大神解答,关于快应用开工工具的开发环境的搭建

6
回复
90
查看
[复制链接]

8

主题

20

帖子

140

积分

 楼主| 2019-5-10 09:36:45 显示全部楼层 |阅读模式
本帖最后由 kinsson 于 2019-5-16 14:28 编辑

调试总是失败,我想着可能是开发环境搭建的时候可能有什么不对的,可是查到的具体安装步骤有限,希望会的大神帮助帮助

PC端调试:
[ERRO] Module not found: Error: Can't resolve 'babel-loader' in 'i:\我的使用\快应用开发\儿童故事\quick_ertonggushi\src'
[ERRO] Module not found: Error: Can't resolve 'babel-loader' in 'i:\我的使用\快应用开发\儿童故事\quick_ertonggushi\src\About'
[ERRO] Module not found: Error: Can't resolve 'babel-loader' in 'i:\我的使用\快应用开发\儿童故事\quick_ertonggushi\src\CardDemo'
[ERRO] Module not found: Error: Can't resolve 'babel-loader' in 'i:\我的使用\快应用开发\儿童故事\quick_ertonggushi\src\Demo'
[ERRO] Module not found: Error: Can't resolve 'babel-loader' in 'i:\我的使用\快应用开发\儿童故事\quick_ertonggushi\src\DemoDetail'
WARN registry Unexpected warning for https://registry.npmjs.org/: Miscellaneous Warning ETIMEDOUT: request to https://registry.npmjs.org/babel-eslint failed, reason: connect ETIMEDOUT 104.16.21.35:443
npm WARN registry Using stale package data from https://registry.npmjs.org/ due to a request error during revalidation.








回复

使用道具 举报

10

主题

147

帖子

835

积分

2019-5-10 10:28:23 显示全部楼层
把你具体的错误发出来
回复

使用道具 举报

8

主题

20

帖子

140

积分

 楼主| 2019-5-13 11:56:31 显示全部楼层
[LOG] ### App Server ### 通知手机更新rpk文件超时(可忽略): http://192.168.10.106:39517/update
[LOG] ### App Server ### 通知手机更新rpk文件失败(可忽略): http://192.168.10.106:39517/update 错误信息: socket hang up
Running npm install............................................................................................npm
WARN quick_ertonggushi@1.0.0 No description
npm WARN quick_ertonggushi@1.0.0 No repository field.
npm WARN quick_ertonggushi@1.0.0 scripts['server'] should probably be scripts['start'].

npm WARN quick_ertonggushi@1.0.0 No license field.

npm
WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@1.2.9 (node_modules\fsevents):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@1.2.9: wanted {"os":"darwin","arch":"any"} (current: {"os":"win32","arch":"x64"})



added 746 packages from 388 contributors in 135.522s

npm install process 结束:(0)
回复

使用道具 举报

8

主题

20

帖子

140

积分

 楼主| 2019-5-13 11:59:27 显示全部楼层
新创的快应用工程,调试的话什么都显示不了
回复

使用道具 举报

8

主题

20

帖子

140

积分

 楼主| 2019-5-13 14:16:56 显示全部楼层
这是手机调试器上的错误信息
app.js:100: Error: Module build failed (from g:/软件/快应用开发工具/Quickapp/resources/app/extensions/hap-debugger/node_modules/hap-toolkit/packager/lib/dsl/ux/loader/script-loader.js):
Error: Line 1: Unexpected token
        at ErrorHandler.constructError (g:\软件\快应用开发工具\Quickapp\resources\app\extensions\hap-debugger\node_modules\esprima\dist\esprima.js:5012:22)
        at ErrorHandler.createError (g:\软件\快应用开发工具\Quickapp\resources\app\extensions\hap-debugger\node_modules\esprima\dist\esprima.js:5028:27)
        at Parser.unexpectedTokenError (g:\软件\快应用开发工具\Quickapp\resources\app\extensions\hap-debugger\node_modules\esprima\dist\esprima.js:1985:39)
        at Parser.tolerateUnexpectedToken (g:\软件\快应用开发工具\Quickapp\resources\app\extensions\hap-debugger\node_modules\esprima\dist\esprima.js:1998:42)
        at Parser.parseStatementListItem (g:\软件\快应用开发工具\Quickapp\resources\app\extensions\hap-debugger\node_modules\esprima\dist\esprima.js:3371:31)
        at Parser.parseScript (g:\软件\快应用开发工具\Quickapp\resources\app\extensions\hap-debugger\node_modules\esprima\dist\esprima.js:4723:29)
        at parse (g:\软件\快应用开发工具\Quickapp\resources\app\extensions\hap-debugger\node_modules\esprima\dist\esprima.js:122:61)
        at Object.parseScript (g:\软件\快应用开发工具\Quickapp\resources\app\extensions\hap-debugger\node_modules\esprima\dist\esprima.js:145:13)
        at Object.formatBetter [as fix] (g:\软件\快应用开发工具\Quickapp\resources\app\extensions\hap-debugger\node_modules\hap-toolkit\packager\lib\compiler\script\fix.js:1:1583)
        at parseScript (g:\软件\快应用开发工具\Quickapp\resources\app\extensions\hap-debugger\node_modules\hap-toolkit\packager\lib\compiler\index.js:1:2066)
        at Object.module.exports (g:\软件\快应用开发工具\Quickapp\resources\app\extensions\hap-debugger\node_modules\hap-toolkit\packager\lib\dsl\ux\loader\script-loader.js:1:315)
Error: Module build failed (from g:/软件/快应用开发工具/Quickapp/resources/app/extensions/hap-debugger/node_modules/hap-toolkit/packager/lib/dsl/ux/loader/script-loader.js):
Error: Line 1: Unexpected token
        at ErrorHandler.constructError (g:\软件\快应用开发工具\Quickapp\resources\app\extensions\hap-debugger\node_modules\esprima\dist\esprima.js:5012:22)
        at ErrorHandler.createError (g:\软件\快应用开发工具\Quickapp\resources\app\extensions\hap-debugger\node_modules\esprima\dist\esprima.js:5028:27)
        at Parser.unexpectedTokenError (g:\软件\快应用开发工具\Quickapp\resources\app\extensions\hap-debugger\node_modules\esprima\dist\esprima.js:1985:39)
        at Parser.tolerateUnexpectedToken (g:\软件\快应用开发工具\Quickapp\resources\app\extensions\hap-debugger\node_modules\esprima\dist\esprima.js:1998:42)
        at Parser.parseStatementListItem (g:\软件\快应用开发工具\Quickapp\resources\app\extensions\hap-debugger\node_modules\esprima\dist\esprima.js:3371:31)
        at Parser.parseScript (g:\软件\快应用开发工具\Quickapp\resources\app\extensions\hap-debugger\node_modules\esprima\dist\esprima.js:4723:29)
        at parse (g:\软件\快应用开发工具\Quickapp\resources\app\extensions\hap-debugger\node_modules\esprima\dist\esprima.js:122:61)
        at Object.parseScript (g:\软件\快应用开发工具\Quickapp\resources\app\extensions\hap-debugger\node_modules\esprima\dist\esprima.js:145:13)
        at Object.formatBetter [as fix] (g:\软件\快应用开发工具\Quickapp\resources\app\extensions\hap-debugger\node_modules\hap-toolkit\packager\lib\compiler\script\fix.js:1:1583)
        at parseScript (g:\软件\快应用开发工具\Quickapp\resources\app\extensions\hap-debugger\node_modules\hap-toolkit\packager\lib\compiler\index.js:1:2066)
        at Object.module.exports (g:\软件\快应用开发工具\Quickapp\resources\app\extensions\hap-debugger\node_modules\hap-toolkit\packager\lib\dsl\ux\loa
回复

使用道具 举报

6

主题

53

帖子

295

积分

2019-5-13 20:19:48 显示全部楼层
建议升级成最新版试试, 把工程和hap都升级。 删除node module和 package-lock.json 重新打包下。  babel-loader 这个如果找不到直接安装
回复

使用道具 举报

1

主题

6

帖子

15

积分

2019-5-14 10:42:05 显示全部楼层
npm install --save babel-loader
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册